VERSION 5
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "Spartan2E"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    End ATTR
    BEGIN NETLIST
        SIGNAL init
        SIGNAL clk48in
        SIGNAL clk48
        SIGNAL rst
        SIGNAL LED5
        SIGNAL a(2:1)
        SIGNAL XLXN_6(7:0)
        SIGNAL XLXN_7(7:0)
        SIGNAL vsync
        SIGNAL hsync
        SIGNAL blue
        SIGNAL green
        SIGNAL red
        SIGNAL bblue
        SIGNAL bgreen
        SIGNAL bred
        SIGNAL clk25
        SIGNAL clk25in
        SIGNAL ext_rw
        SIGNAL csn_lcd
        SIGNAL ext_d(7:0)
        SIGNAL ext_a(2:0)
        SIGNAL cs_lcd
        SIGNAL d(7:0)
        SIGNAL XLXN_21
        SIGNAL XLXN_24(4:0)
        SIGNAL cpld_cs
        SIGNAL cpld_rw
        SIGNAL TxD
        SIGNAL RxD
        SIGNAL XLXN_41
        SIGNAL XLXN_43
        SIGNAL XLXN_44(7:0)
        PORT Input clk48in
        PORT Input init
        PORT Output LED5
        PORT Output a(2:1)
        PORT Output vsync
        PORT Output hsync
        PORT Output blue
        PORT Output green
        PORT Output red
        PORT Output bblue
        PORT Output bgreen
        PORT Output bred
        PORT Input clk25in
        PORT Output cs_lcd
        PORT Output ext_a(2:0)
        PORT Output ext_d(7:0)
        PORT Output csn_lcd
        PORT Output ext_rw
        PORT BiDirectional d(7:0)
        PORT Output cpld_rw
        PORT Output cpld_cs
        PORT Input TxD
        PORT Output RxD
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2001 2 2 12 51 12
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF led
            TIMESTAMP 2002 5 7 10 22 0
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF ibuf8
            TIMESTAMP 2001 2 2 12 53 1
            RECTANGLE N 128 -44 224 -20 
            LINE N 224 -32 128 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF obuft8
            TIMESTAMP 2001 2 2 12 53 1
            LINE N 96 -48 96 -96 
            LINE N 96 -96 64 -96 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
            LINE N 0 -96 64 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 0 -32 64 -32 
            RECTANGLE N 128 -44 224 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF cpld
            TIMESTAMP 2002 6 17 16 55 45
            LINE N 320 32 384 32 
            LINE N 320 96 384 96 
            LINE N 320 160 384 160 
            RECTANGLE N 320 148 384 172 
            LINE N 320 224 384 224 
            RECTANGLE N 320 212 384 236 
            LINE N 64 -288 0 -288 
            LINE N 64 -128 0 -128 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -108 384 -84 
            RECTANGLE N 64 -320 320 400 
            LINE N 320 304 384 304 
            LINE N 320 368 384 368 
        END BLOCKDEF
        BEGIN BLOCKDEF vga
            TIMESTAMP 2002 5 8 9 59 10
            RECTANGLE N 64 -512 320 0 
            LINE N 64 -480 0 -480 
            LINE N 320 -480 384 -480 
            LINE N 320 -416 384 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF lcd_main
            TIMESTAMP 2002 5 8 16 55 52
            LINE N 320 32 384 32 
            LINE N 320 96 384 96 
            RECTANGLE N 320 84 384 108 
            LINE N 320 160 384 160 
            RECTANGLE N 320 148 384 172 
            LINE N 320 224 384 224 
            LINE N 320 288 384 288 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 64 -384 320 320 
        END BLOCKDEF
        BEGIN BLOCK XLXI_8 inv
            PIN I init
            PIN O rst
        END BLOCK
        BEGIN BLOCK XLXI_9 bufg
            PIN I clk48in
            PIN O clk48
        END BLOCK
        BEGIN BLOCK XLXI_15 led
            PIN clk48 clk48
            PIN rst rst
            PIN led5 LED5
        END BLOCK
        BEGIN BLOCK XLXI_17 ibuf8
            PIN I(7:0) d(7:0)
            PIN O(7:0) XLXN_7(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_18 obuft8
            PIN I(7:0) XLXN_6(7:0)
            PIN T cpld_rw
            PIN O(7:0) d(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_20 cpld
            PIN clk48 clk48
            PIN rst rst
            PIN din(7:0) XLXN_7(7:0)
            PIN dout(7:0) XLXN_6(7:0)
            PIN cpld_rw cpld_rw
            PIN cpld_cs cpld_cs
            PIN a(2:1) a(2:1)
            PIN we XLXN_43
            PIN wclk XLXN_41
            PIN lcdout(7:0) XLXN_44(7:0)
            PIN aout(4:0) XLXN_24(4:0)
            PIN RS232IN TxD
            PIN RS232OUT RxD
        END BLOCK
        BEGIN BLOCK XLXI_21 vga
            PIN CLK25 clk25
            PIN vsync vsync
            PIN hsync hsync
            PIN blue blue
            PIN green green
            PIN red red
            PIN bblue bblue
            PIN bgreen bgreen
            PIN bred bred
        END BLOCK
        BEGIN BLOCK XLXI_22 bufg
            PIN I clk25in
            PIN O clk25
        END BLOCK
        BEGIN BLOCK XLXI_24 lcd_main
            PIN WE XLXN_43
            PIN WCLK XLXN_41
            PIN Din(7:0) XLXN_44(7:0)
            PIN Ain(4:0) XLXN_24(4:0)
            PIN clk48 clk48
            PIN rst rst
            PIN cs_lcd cs_lcd
            PIN ext_a(2:0) ext_a(2:0)
            PIN ext_d(7:0) ext_d(7:0)
            PIN csn_lcd csn_lcd
            PIN ext_rw ext_rw
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2688 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN BRANCH init
            WIRE 176 192 256 192
        END BRANCH
        BEGIN BRANCH clk48in
            WIRE 176 80 256 80
        END BRANCH
        BEGIN BRANCH clk48
            WIRE 480 80 656 80
            DISPLAY 656 80 ATTR Name
        END BRANCH
        IOMARKER 176 80 clk48in
        IOMARKER 176 192 init
        INSTANCE XLXI_8 256 224 R0
        INSTANCE XLXI_9 256 112 R0
        BEGIN BRANCH LED5
            WIRE 2368 1088 2416 1088
            WIRE 2416 1088 2432 1088
        END BRANCH
        BEGIN BRANCH clk48
            WIRE 1904 1088 1984 1088
            BEGIN DISPLAY 1904 1088 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH rst
            WIRE 1904 1152 1984 1152
            BEGIN DISPLAY 1904 1152 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH rst
            WIRE 480 192 560 192
            WIRE 560 192 656 192
            DISPLAY 656 192 ATTR Name
        END BRANCH
        BEGIN BRANCH a(2:1)
            WIRE 480 1136 1264 1136
            WIRE 1264 1136 1280 1136
        END BRANCH
        IOMARKER 1280 1136 a(2:1)
        BEGIN BRANCH XLXN_7(7:0)
            WIRE 480 1264 688 1264
            WIRE 688 1264 688 1392
            WIRE 688 1392 896 1392
            WIRE 896 1392 912 1392
        END BRANCH
        BEGIN INSTANCE XLXI_21 1984 1776 R0
        END INSTANCE
        BEGIN BRANCH vsync
            WIRE 2368 1296 2416 1296
            WIRE 2416 1296 2432 1296
        END BRANCH
        IOMARKER 2432 1296 vsync
        BEGIN BRANCH hsync
            WIRE 2368 1360 2416 1360
            WIRE 2416 1360 2432 1360
        END BRANCH
        IOMARKER 2432 1360 hsync
        BEGIN BRANCH blue
            WIRE 2368 1424 2416 1424
            WIRE 2416 1424 2432 1424
        END BRANCH
        IOMARKER 2432 1424 blue
        BEGIN BRANCH green
            WIRE 2368 1488 2416 1488
            WIRE 2416 1488 2432 1488
        END BRANCH
        IOMARKER 2432 1488 green
        BEGIN BRANCH red
            WIRE 2368 1552 2416 1552
            WIRE 2416 1552 2432 1552
        END BRANCH
        IOMARKER 2432 1552 red
        BEGIN BRANCH bblue
            WIRE 2368 1616 2416 1616
            WIRE 2416 1616 2432 1616
        END BRANCH
        IOMARKER 2432 1616 bblue
        BEGIN BRANCH bgreen
            WIRE 2368 1680 2416 1680
            WIRE 2416 1680 2432 1680
        END BRANCH
        IOMARKER 2432 1680 bgreen
        BEGIN BRANCH bred
            WIRE 2368 1744 2416 1744
            WIRE 2416 1744 2432 1744
        END BRANCH
        IOMARKER 2432 1744 bred
        BEGIN BRANCH clk25
            WIRE 1904 1296 1984 1296
            BEGIN DISPLAY 1904 1296 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk25in
            WIRE 176 336 240 336
            WIRE 240 336 256 336
        END BRANCH
        BEGIN BRANCH clk25
            WIRE 480 336 656 336
            DISPLAY 656 336 ATTR Name
        END BRANCH
        INSTANCE XLXI_22 256 368 R0
        IOMARKER 176 336 clk25in
        BEGIN BRANCH rst
            WIRE 1792 496 1808 496
            WIRE 1808 496 1968 496
            WIRE 1968 496 1984 496
            BEGIN DISPLAY 1792 496 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH clk48
            WIRE 1792 432 1808 432
            WIRE 1808 432 1968 432
            WIRE 1968 432 1984 432
            BEGIN DISPLAY 1792 432 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_24 1984 528 R0
        END INSTANCE
        BEGIN BRANCH ext_rw
            WIRE 2368 816 2384 816
            WIRE 2384 816 2416 816
            WIRE 2416 816 2432 816
        END BRANCH
        BEGIN BRANCH csn_lcd
            WIRE 2368 752 2384 752
            WIRE 2384 752 2416 752
            WIRE 2416 752 2432 752
        END BRANCH
        BEGIN BRANCH ext_d(7:0)
            WIRE 2368 688 2384 688
            WIRE 2384 688 2416 688
            WIRE 2416 688 2432 688
        END BRANCH
        BEGIN BRANCH ext_a(2:0)
            WIRE 2368 624 2384 624
            WIRE 2384 624 2416 624
            WIRE 2416 624 2432 624
        END BRANCH
        BEGIN BRANCH cs_lcd
            WIRE 2368 560 2384 560
            WIRE 2384 560 2416 560
            WIRE 2416 560 2432 560
        END BRANCH
        IOMARKER 2432 560 cs_lcd
        IOMARKER 2432 624 ext_a(2:0)
        IOMARKER 2432 688 ext_d(7:0)
        IOMARKER 2432 752 csn_lcd
        IOMARKER 2432 816 ext_rw
        BEGIN BRANCH d(7:0)
            WIRE 1136 1392 1216 1392
            WIRE 1216 1392 1376 1392
            WIRE 1168 1328 1216 1328
            WIRE 1216 1328 1216 1392
        END BRANCH
        BEGIN BRANCH XLXN_6(7:0)
            WIRE 480 1200 800 1200
            WIRE 800 1200 800 1328
            WIRE 800 1328 928 1328
            WIRE 928 1328 944 1328
        END BRANCH
        BEGIN BRANCH XLXN_24(4:0)
            WIRE 480 1520 496 1520
            WIRE 496 1520 1248 1520
            WIRE 1248 368 1248 1520
            WIRE 1248 368 1968 368
            WIRE 1968 368 1984 368
        END BRANCH
        BEGIN BRANCH clk48
            WIRE 64 1008 80 1008
            WIRE 80 1008 96 1008
            BEGIN DISPLAY 64 1008 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH rst
            WIRE 64 1168 80 1168
            WIRE 80 1168 96 1168
            BEGIN DISPLAY 64 1168 ATTR Name
                ALIGNMENT RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 1376 1392 d(7:0)
        INSTANCE XLXI_17 1136 1360 R180
        INSTANCE XLXI_18 944 1360 R0
        BEGIN BRANCH cpld_cs
            WIRE 480 1072 1264 1072
            WIRE 1264 1072 1280 1072
        END BRANCH
        BEGIN BRANCH cpld_rw
            WIRE 480 1008 864 1008
            WIRE 864 1008 1280 1008
            WIRE 864 1008 864 1264
            WIRE 864 1264 944 1264
        END BRANCH
        IOMARKER 1280 1008 cpld_rw
        IOMARKER 1280 1072 cpld_cs
        IOMARKER 2432 1088 LED5
        BEGIN INSTANCE XLXI_15 1984 1184 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_20 96 1296 R0
        END INSTANCE
        BEGIN BRANCH TxD
            WIRE 480 1600 496 1600
            WIRE 496 1600 720 1600
            WIRE 720 1600 736 1600
        END BRANCH
        BEGIN BRANCH RxD
            WIRE 480 1664 496 1664
            WIRE 496 1664 720 1664
            WIRE 720 1664 736 1664
        END BRANCH
        IOMARKER 736 1600 TxD
        IOMARKER 736 1664 RxD
        BEGIN BRANCH XLXN_41
            WIRE 480 1392 656 1392
            WIRE 656 624 656 1392
            WIRE 656 624 1216 624
            WIRE 1216 240 1216 256
            WIRE 1216 256 1216 624
            WIRE 1216 240 1968 240
            WIRE 1968 240 1984 240
        END BRANCH
        BEGIN BRANCH XLXN_43
            WIRE 480 1328 624 1328
            WIRE 624 592 624 1328
            WIRE 624 592 1168 592
            WIRE 1168 176 1168 592
            WIRE 1168 176 1968 176
            WIRE 1968 176 1984 176
        END BRANCH
        BEGIN BRANCH XLXN_44(7:0)
            WIRE 480 1456 576 1456
            WIRE 576 528 576 1456
            WIRE 576 528 1072 528
            WIRE 1072 304 1072 528
            WIRE 1072 304 1984 304
        END BRANCH
    END SHEET
END SCHEMATIC
