VERSION 5
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "Spartan2E"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    End ATTR
    BEGIN NETLIST
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL WE
        SIGNAL WCLK
        SIGNAL Din(7:0)
        SIGNAL Ain(4:0)
        SIGNAL Ain(1)
        SIGNAL Ain(2)
        SIGNAL Ain(3)
        SIGNAL Ain(4)
        SIGNAL Aout(4:0)
        SIGNAL Aout(1)
        SIGNAL Aout(2)
        SIGNAL Aout(3)
        SIGNAL Aout(4)
        SIGNAL XLXN_81
        SIGNAL Aout(0)
        SIGNAL XLXN_85(7:0)
        SIGNAL XLXN_86(7:0)
        SIGNAL XLXN_87(7:0)
        SIGNAL clk48
        SIGNAL cs_lcd
        SIGNAL ext_a(2:0)
        SIGNAL ext_d(7:0)
        SIGNAL csn_lcd
        SIGNAL rst
        SIGNAL ext_rw
        SIGNAL Ain(0)
        SIGNAL XLXN_90
        PORT Input WCLK
        PORT Input Din(7:0)
        PORT Input Ain(4:0)
        PORT Input clk48
        PORT Input rst
        PORT Output cs_lcd
        PORT Output ext_a(2:0)
        PORT Output ext_d(7:0)
        PORT Output csn_lcd
        PORT Output ext_rw
        PORT Input WE
        BEGIN BLOCKDEF ram16x8d
            TIMESTAMP 2001 2 2 12 54 28
            RECTANGLE N 64 -832 352 -64 
            RECTANGLE N 352 -588 416 -564 
            RECTANGLE N 0 -716 64 -692 
            RECTANGLE N 352 -716 416 -692 
            LINE N 416 -576 352 -576 
            LINE N 416 -704 352 -704 
            LINE N 0 -704 64 -704 
            LINE N 64 -624 80 -640 
            LINE N 80 -640 64 -656 
            LINE N 0 -768 64 -768 
            LINE N 0 -640 64 -640 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 0 -320 64 -320 
            LINE N 0 -384 64 -384 
            LINE N 0 -448 64 -448 
            LINE N 0 -512 64 -512 
            LINE N 0 -576 64 -576 
        END BLOCKDEF
        BEGIN BLOCKDEF buft8
            TIMESTAMP 2001 2 2 12 51 12
            RECTANGLE N 128 -44 224 -20 
            LINE N 0 -32 64 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 224 -32 128 -32 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 0 -96 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF lcd
            TIMESTAMP 2002 5 8 16 46 40
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -300 64 -276 
            LINE N 0 80 64 80 
            RECTANGLE N 0 68 64 92 
            LINE N 384 -288 320 -288 
            LINE N 384 -240 320 -240 
            LINE N 320 80 384 80 
            LINE N 320 -48 384 -48 
            LINE N 320 16 384 16 
            LINE N 320 -176 384 -176 
            RECTANGLE N 320 -124 384 -100 
            LINE N 320 -112 384 -112 
            RECTANGLE N 320 -60 384 -36 
            RECTANGLE N 64 -320 320 112 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 ram16x8d
            PIN A0 Ain(1)
            PIN A1 Ain(2)
            PIN A2 Ain(3)
            PIN A3 Ain(4)
            PIN D(7:0) Din(7:0)
            PIN DPRA0 Aout(1)
            PIN DPRA1 Aout(2)
            PIN DPRA2 Aout(3)
            PIN DPRA3 Aout(4)
            PIN WCLK WCLK
            PIN WE XLXN_2
            PIN DPO(7:0) XLXN_85(7:0)
            PIN SPO(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 ram16x8d
            PIN A0 Ain(1)
            PIN A1 Ain(2)
            PIN A2 Ain(3)
            PIN A3 Ain(4)
            PIN D(7:0) Din(7:0)
            PIN DPRA0 Aout(1)
            PIN DPRA1 Aout(2)
            PIN DPRA2 Aout(3)
            PIN DPRA3 Aout(4)
            PIN WCLK WCLK
            PIN WE XLXN_3
            PIN DPO(7:0) XLXN_86(7:0)
            PIN SPO(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 buft8
            PIN I(7:0) XLXN_86(7:0)
            PIN T XLXN_81
            PIN O(7:0) XLXN_87(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_5 buft8
            PIN I(7:0) XLXN_85(7:0)
            PIN T Aout(0)
            PIN O(7:0) XLXN_87(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I Aout(0)
            PIN O XLXN_81
        END BLOCK
        BEGIN BLOCK XLXI_7 and2
            PIN I0 Ain(0)
            PIN I1 WE
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_8 and2
            PIN I0 XLXN_90
            PIN I1 WE
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_9 inv
            PIN I Ain(0)
            PIN O XLXN_90
        END BLOCK
        BEGIN BLOCK XLXI_10 lcd
            PIN clk48 clk48
            PIN rst rst
            PIN ext_rw ext_rw
            PIN cs_lcd cs_lcd
            PIN csn_lcd csn_lcd
            PIN ext_a(2:0) ext_a(2:0)
            PIN ext_d(7:0) ext_d(7:0)
            PIN ram_data(7:0) XLXN_87(7:0)
            PIN ram_adr(4:0) Aout(4:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3801 2688
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_8 688 320 R0
        BEGIN BRANCH XLXN_2
            WIRE 944 224 960 224
            WIRE 960 224 1440 224
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 944 1120 960 1120
            WIRE 960 1120 960 1280
            WIRE 960 1280 1440 1280
        END BRANCH
        BEGIN BRANCH WCLK
            WIRE 128 352 1040 352
            WIRE 1040 352 1440 352
            WIRE 1040 352 1040 1408
            WIRE 1040 1408 1440 1408
        END BRANCH
        IOMARKER 128 352 WCLK
        BEGIN BRANCH Din(7:0)
            WIRE 160 96 992 96
            WIRE 992 96 992 288
            WIRE 992 288 1440 288
            WIRE 992 288 992 1344
            WIRE 992 1344 1440 1344
        END BRANCH
        IOMARKER 160 96 Din(7:0)
        INSTANCE XLXI_7 688 1216 R0
        BEGIN BRANCH Ain(4:0)
            WIRE 144 2080 208 2080
            WIRE 208 2080 272 2080
            WIRE 272 256 272 416
            WIRE 272 416 272 480
            WIRE 272 480 272 544
            WIRE 272 544 272 608
            WIRE 272 608 272 1152
            WIRE 272 1152 272 1472
            WIRE 272 1472 272 1536
            WIRE 272 1536 272 1600
            WIRE 272 1600 272 1664
            WIRE 272 1664 272 2080
            BEGIN DISPLAY 208 2080 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 144 2080 Ain(4:0)
        BUSTAP 272 1152 368 1152
        BUSTAP 272 416 368 416
        BUSTAP 272 480 368 480
        BUSTAP 272 544 368 544
        BUSTAP 272 608 368 608
        BUSTAP 272 1472 368 1472
        BUSTAP 272 1536 368 1536
        BUSTAP 272 1600 368 1600
        BUSTAP 272 1664 368 1664
        BEGIN BRANCH Ain(4)
            WIRE 368 1664 400 1664
            WIRE 400 1664 1440 1664
            BEGIN DISPLAY 400 1664 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Ain(3)
            WIRE 368 1600 400 1600
            WIRE 400 1600 1440 1600
            BEGIN DISPLAY 400 1600 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Ain(2)
            WIRE 368 1536 400 1536
            WIRE 400 1536 1440 1536
            BEGIN DISPLAY 400 1536 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Ain(1)
            WIRE 368 1472 400 1472
            WIRE 400 1472 1440 1472
            BEGIN DISPLAY 400 1472 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Ain(1)
            WIRE 368 416 400 416
            WIRE 400 416 1440 416
            BEGIN DISPLAY 400 416 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Ain(2)
            WIRE 368 480 400 480
            WIRE 400 480 1440 480
            BEGIN DISPLAY 400 480 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Ain(3)
            WIRE 368 544 400 544
            WIRE 400 544 1440 544
            BEGIN DISPLAY 400 544 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Ain(4)
            WIRE 368 608 400 608
            WIRE 400 608 1440 608
            BEGIN DISPLAY 400 608 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_2 1440 992 R0
        INSTANCE XLXI_3 1440 2048 R0
        BUSTAP 1216 672 1312 672
        BUSTAP 1216 736 1312 736
        BUSTAP 1216 800 1312 800
        BUSTAP 1216 864 1312 864
        BUSTAP 1216 1728 1312 1728
        BUSTAP 1216 1792 1312 1792
        BUSTAP 1216 1856 1312 1856
        BUSTAP 1216 1920 1312 1920
        BEGIN BRANCH Aout(1)
            WIRE 1312 672 1360 672
            WIRE 1360 672 1440 672
            BEGIN DISPLAY 1360 672 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Aout(2)
            WIRE 1312 736 1360 736
            WIRE 1360 736 1440 736
            BEGIN DISPLAY 1360 736 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Aout(3)
            WIRE 1312 800 1360 800
            WIRE 1360 800 1440 800
            BEGIN DISPLAY 1360 800 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Aout(4)
            WIRE 1312 864 1360 864
            WIRE 1360 864 1440 864
            BEGIN DISPLAY 1360 864 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Aout(1)
            WIRE 1312 1728 1328 1728
            WIRE 1328 1728 1360 1728
            WIRE 1360 1728 1440 1728
            BEGIN DISPLAY 1360 1728 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Aout(2)
            WIRE 1312 1792 1328 1792
            WIRE 1328 1792 1360 1792
            WIRE 1360 1792 1440 1792
            BEGIN DISPLAY 1360 1792 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Aout(3)
            WIRE 1312 1856 1328 1856
            WIRE 1328 1856 1360 1856
            WIRE 1360 1856 1440 1856
            BEGIN DISPLAY 1360 1856 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Aout(4)
            WIRE 1312 1920 1360 1920
            WIRE 1360 1920 1440 1920
            BEGIN DISPLAY 1360 1920 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_81
            WIRE 2208 1408 2224 1408
            WIRE 2224 1408 2240 1408
        END BRANCH
        INSTANCE XLXI_6 1984 1440 R0
        INSTANCE XLXI_4 2240 1504 R0
        BEGIN BRANCH Aout(0)
            WIRE 1904 352 1904 1408
            WIRE 1904 1408 1904 1968
            WIRE 1904 1968 1904 2016
            WIRE 1904 2016 1904 2048
            WIRE 1904 2048 1904 2080
            WIRE 1904 1408 1968 1408
            WIRE 1968 1408 1984 1408
            WIRE 1904 352 2240 352
            BEGIN DISPLAY 1904 2016 ATTR Name
                ALIGNMENT TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_85(7:0)
            WIRE 1856 416 1872 416
            WIRE 1872 416 2240 416
        END BRANCH
        BEGIN BRANCH XLXN_86(7:0)
            WIRE 1856 1472 2240 1472
        END BRANCH
        INSTANCE XLXI_5 2240 448 R0
        BEGIN BRANCH XLXN_87(7:0)
            WIRE 2464 416 2496 416
            WIRE 2496 416 2496 1472
            WIRE 2496 1472 2592 1472
            WIRE 2464 1472 2496 1472
        END BRANCH
        BEGIN BRANCH Aout(4:0)
            WIRE 1216 672 1216 736
            WIRE 1216 736 1216 800
            WIRE 1216 800 1216 864
            WIRE 1216 864 1216 1728
            WIRE 1216 1728 1216 1792
            WIRE 1216 1792 1216 1856
            WIRE 1216 1856 1216 1920
            WIRE 1216 1920 1216 2176
            WIRE 1216 2176 1904 2176
            WIRE 1904 2176 1920 2176
            WIRE 1920 2176 2400 2176
            WIRE 2400 1840 2400 2176
            WIRE 2400 1840 2592 1840
        END BRANCH
        BUSTAP 1904 2176 1904 2080
        BEGIN INSTANCE XLXI_10 2592 1760 R0
        END INSTANCE
        BEGIN BRANCH ext_d(7:0)
            WIRE 2976 1712 2992 1712
            WIRE 2992 1712 3152 1712
        END BRANCH
        BEGIN BRANCH ext_a(2:0)
            WIRE 2976 1648 2992 1648
            WIRE 2992 1648 3152 1648
        END BRANCH
        BEGIN BRANCH csn_lcd
            WIRE 2976 1776 2992 1776
            WIRE 2992 1776 3152 1776
        END BRANCH
        BEGIN BRANCH cs_lcd
            WIRE 2976 1584 2992 1584
            WIRE 2992 1584 3152 1584
        END BRANCH
        BEGIN BRANCH clk48
            WIRE 2976 1472 3152 1472
        END BRANCH
        BEGIN BRANCH rst
            WIRE 2976 1520 2992 1520
            WIRE 2992 1520 3152 1520
        END BRANCH
        BEGIN BRANCH ext_rw
            WIRE 2976 1840 2992 1840
            WIRE 2992 1840 3152 1840
        END BRANCH
        IOMARKER 3152 1472 clk48
        IOMARKER 3152 1520 rst
        IOMARKER 3152 1584 cs_lcd
        IOMARKER 3152 1648 ext_a(2:0)
        IOMARKER 3152 1712 ext_d(7:0)
        IOMARKER 3152 1776 csn_lcd
        IOMARKER 3152 1840 ext_rw
        BUSTAP 272 256 368 256
        BEGIN BRANCH Ain(0)
            WIRE 368 1152 416 1152
            WIRE 416 1152 688 1152
            BEGIN DISPLAY 416 1152 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_90
            WIRE 640 256 672 256
            WIRE 672 256 688 256
        END BRANCH
        BEGIN BRANCH Ain(0)
            WIRE 368 256 400 256
            WIRE 400 256 416 256
            BEGIN DISPLAY 400 256 ATTR Name
                ALIGNMENT BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_9 416 288 R0
        BEGIN BRANCH WE
            WIRE 128 192 656 192
            WIRE 656 192 688 192
            WIRE 656 192 656 1088
            WIRE 656 1088 688 1088
        END BRANCH
        IOMARKER 128 192 WE
    END SHEET
END SCHEMATIC
